Skip to main content
PUT
Replace user

Authorizations

Authorization
string
header
required

Requires an Organization API Key. Personal Access Tokens (PATs) are not supported for this endpoint.

Include in the Authorization header as: Bearer ORGANIZATION_API_KEY

Path Parameters

userId
string
required

The ID of the user to be replaced

Body

application/json
userName
string<email>
required

The user's email address.

Example:

"blob.ross@blobsrus.co"

active
boolean
default:true

Whether the user is active. Set to false to deactivate the user.

Example:

true

displayName
string

The user's display name

Example:

"Blob Ross"

urn:omni:params:1.0:UserAttribute
object

User attributes as key/value pairs, where keys map to the IDs of user attributes defined in Omni. This is the Reference column in the User attributes page.

Example:
urn:omni:params:scim:schemas:extension:user:2.0
object

Omni-specific user metadata.

Response

User replaced successfully

id
string
required

Unique identifier for the user

userName
string
required

The user's email address

displayName
string
required

The user's display name

active
boolean
required

Whether the user is active

emails
object[]
required

The user's email addresses

groups
object[]
required

User groups that the user belongs to

meta
object
required
schemas
string[]
required

SCIM information about the type of schemas used in the API. For example, urn:ietf:params:scim:schemas:core:2.0:User

urn:omni:params:1.0:UserAttribute
object
required

User attributes as key/value pairs, where keys map to the IDs of user attributes defined in Omni. This is the Reference column in the User attributes page. A value is a string, a number, an array of strings or an array of numbers for a multi-value attribute, or null. Numbers appear only for legacy values stored before Omni started saving attribute values as strings.

urn:omni:params:scim:schemas:extension:user:2.0
object
required

Omni SCIM extension schema containing additional user metadata